<?php
/**
 * YOOtheme template
 *
 * @author yootheme.com
 * @copyright Copyright (C) 2008 YOOtheme Ltd & Co. KG. All rights reserved.
 */

// no direct access
defined('_JEXEC') or die('Restricted access');

include_once(JPATH_ROOT . "/templates/" . $this->template . '/lib/php/yootools.php');
include_once(JPATH_ROOT . "/templates/" . $this->template . '/lib/php/yoolayout.php');

$template_baseurl = $this->baseurl . '/templates/' . $this->template;

JHTML::_('behavior.mootools');

// set title
$this->setTitle($mainframe->getCfg('sitename') . ' - ' . $this->getTitle());

// add template mootools to JDocumentHTML
if ($this->params->get('loadMootools')) {
	$mootools = $this->params->get('gzip') ? '/lib/js/mootools.js.php' : '/lib/js/mootools/mootools-release-1.11.js';
	$this->_scripts = array_merge(array($template_baseurl . $mootools => 'text/javascript'), $this->_scripts);
	unset($this->_scripts[$this->baseurl . '/media/system/js/mootools.js']);
}

// add template javascript to JDocumentHTML
if ($this->params->get('loadJavascript')) {
	$yootools->addJavaScript($this);
}

// add template css to JDocumentHTML
$yootools->addCSS($this);
	
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $this->language; ?>" lang="<?php echo $this->language; ?>" dir="<?php echo $this->direction; ?>" >
<head>
<jdoc:include type="head" />
<link rel="apple-touch-icon" href="<?php echo $template_baseurl ?>/apple_touch_icon.png" />
</head>

<body id="page" class="yoopage <?php echo $yootools->getCurrentStyle(); ?> <?php echo $this->params->get('leftcolumn'); ?> <?php echo $this->params->get('rightcolumn'); ?> <?php echo $itemcolor; ?> <?php echo $yootools->getCurrentToolsColor(); ?>">

	<?php if($this->countModules('absolute')) { ?>
	<div id="absolute">
		<jdoc:include type="modules" name="absolute" />
	</div>
	<?php } ?>

	<div id="page-body">
		<div class="page-body-m">
			<div class="page-body-t">
				<div class="page-body-b">
					<div class="page-body-h">
						<div class="wrapper floatholder">

							<div id="header">
								<div class="header-l">
									<div class="header-r">

										<div id="toolbar">
											<div class="floatbox ie_fix_floats">
											
												<?php if($this->params->get('date')) { ?>
												<div id="date">
													<?php echo JHTML::_('date', 'now', JText::_('DATE_FORMAT_LC')) ?>
												</div>
												<?php } ?>
							
												<?php if($this->countModules('topmenu')) { ?>
												<div id="topmenu">
													<jdoc:include type="modules" name="topmenu" />
												</div>
												<?php } ?>

												<?php if($this->params->get('styleswitcherFont') || $this->params->get('styleswitcherWidth')) { ?>
												<div id="styleswitcher">
													<?php if($this->params->get('styleswitcherWidth')) { ?>
													<a id="switchwidthfluid" href="javascript:void(0)" title="Fluid width"></a>
													<a id="switchwidthwide" href="javascript:void(0)" title="Wide width"></a>
													<a id="switchwidththin" href="javascript:void(0)" title="Thin width"></a>
													<?php } ?>
													<?php if($this->params->get('styleswitcherFont')) { ?>
													<a id="switchfontlarge" href="javascript:void(0)" title="Increase font size"></a>
													<a id="switchfontmedium" href="javascript:void(0)" title="Default font size"></a>
													<a id="switchfontsmall" href="javascript:void(0)" title="Decrease font size"></a>
													<?php } ?>
												</div>
												<?php } ?>
												
												<?php if($this->countModules('header')) { ?>
												<div id="headermodule">
													<jdoc:include type="modules" name="header" style="yoo" />
												</div>
												<?php } ?>
							
											</div>
										</div>
			
										<?php if($this->countModules('menu')) { ?>	
										<div id="menubar">
											<div class="menubar-l">
												<div class="menubar-r">
												</div>
											</div>
										</div>
										<div id="menu">
											<jdoc:include type="modules" name="menu" />
										</div>
										<?php } ?>
						
										<?php if($this->countModules('logo')) { ?>		
										<div id="logo">
											<jdoc:include type="modules" name="logo" />
										</div>
										<?php } ?>
			
										<?php if($this->countModules('search')) { ?>
										<div id="search">
											<jdoc:include type="modules" name="search" />
										</div>
										<?php } ?>

										<?php if ($this->countModules('banner')) { ?>
										<div id="banner">
											<jdoc:include type="modules" name="banner" />
										</div>
										<?php } ?>

									</div>
								</div>
							</div>
							<!-- header end -->

							<?php if ($this->countModules('top + top1 + top2 + top3 + top4')) { ?>
							<div id="top">
								<div class="floatbox ie_fix_floats">

									<?php if($this->countModules('top')) { ?>
									<div class="topblock width100 float-left">
										<jdoc:include type="modules" name="top" style="yoo" />
									</div>
									<?php } ?>

									<?php if($this->countModules('top1')) { ?>
									<div class="topbox <?php echo $this->params->get('topboxwidth'); ?> <?php echo $this->params->get('topbox12seperator'); ?> float-left">
										<jdoc:include type="modules" name="top1" style="yoo" />
									</div>
									<?php } ?>

									<?php if($this->countModules('top2')) { ?>
									<div class="topbox <?php echo $this->params->get('topboxwidth'); ?> <?php echo $this->params->get('topbox23seperator'); ?> float-left">
										<jdoc:include type="modules" name="top2" style="yoo" />
									</div>
									<?php } ?>
																	
									<?php if($this->countModules('top3')) { ?>
									<div class="topbox <?php echo $this->params->get('topboxwidth'); ?> <?php echo $this->params->get('topbox34seperator'); ?> float-left">
										<jdoc:include type="modules" name="top3" style="yoo" />
									</div>
									<?php } ?>
									
									<?php if($this->countModules('top4')) { ?>
									<div class="topbox <?php echo $this->params->get('topboxwidth'); ?> float-left">
										<jdoc:include type="modules" name="top4" style="yoo" />
									</div>
									<?php } ?>
														
								</div>
							</div>
							<!-- top end -->
							<?php } ?>

							<div id="middle">

								<div class="middle-container-t">
									<div class="middle-tl"></div>
									<div class="middle-tr"></div>
									<div class="middle-t"></div>
								</div>
								
								<div class="middle-l">
									<div class="middle-l-ie6"></div>
									<div class="middle-r-ie6"></div>
									<div class="middle-r">
										<div class="middle-m">
									
											<div class="background">
	
												<?php if($this->countModules('left')) { ?>
												<div id="left">
													<div id="left_container" class="clearfix">
			
														<jdoc:include type="modules" name="left" style="yoo" />
			
													</div>
												</div>
												<!-- left end -->
												<?php } ?>
								
												<div id="main">
													<div id="main_container" class="clearfix">
						
														<?php if ($this->countModules('user1 + user2')) { ?>
														<div id="maintop" class="floatbox">
												
															<?php if($this->countModules('user1')) { ?>
															<div class="maintopbox <?php echo $this->params->get('maintopboxwidth'); ?> <?php echo $this->params->get('maintopbox12seperator'); ?> float-left">
																<jdoc:include type="modules" name="user1" style="yoo" />
															</div>
															<?php } ?>
							
															<?php if($this->countModules('user2')) { ?>
															<div class="maintopbox <?php echo $this->params->get('maintopboxwidth'); ?> float-left">
																<jdoc:include type="modules" name="user2" style="yoo" />
															</div>
															<?php } ?>
																
														</div>
														<!-- maintop end -->
														<?php } ?>
			
														<div id="mainmiddle" class="floatbox">
			
															<?php if($this->countModules('right') && !class_exists('JEditor')) { ?>
															<div id="right">
																<div id="right_container" class="clearfix">
																	<jdoc:include type="modules" name="right" style="yoo" />
																</div>
															</div>
															<!-- right end -->
															<?php } ?>
											
															<div id="content">
																<div id="content_container" class="clearfix">
			
																	<?php if ($this->countModules('advert1 + advert2')) { ?>
																	<div id="contenttop" class="floatbox">
			
																		<?php if($this->countModules('advert1')) { ?>
																		<div class="contenttopbox left <?php echo $this->params->get('contenttopboxwidth'); ?> <?php echo $this->params->get('contenttopbox12seperator'); ?> float-left">
																			<jdoc:include type="modules" name="advert1" style="yoo" />
																		</div>
																		<?php } ?>
			
																		<?php if($this->countModules('advert2')) { ?>
																		<div class="contenttopbox right <?php echo $this->params->get('contenttopboxwidth'); ?> float-left">
																			<jdoc:include type="modules" name="advert2" style="yoo" />
																		</div>
																		<?php } ?>
							
																	</div>
																	<!-- contenttop end -->
																	<?php } ?>
							
																	<?php if ($this->countModules('breadcrumb')) { ?>
																	<div id="breadcrumb">
																		<jdoc:include type="modules" name="breadcrumb" />
																	</div>
																	<?php } ?>
											
																	<div class="floatbox">
																		<jdoc:include type="message" />
																		<jdoc:include type="component" />    
																	</div>
							
																	<?php if ($this->countModules('advert3 + advert4')) { ?>
																	<div id="contentbottom" class="floatbox">
																			
																		<?php if($this->countModules('advert3')) { ?>
																		<div class="contentbottombox left <?php echo $this->params->get('contentbottomboxwidth'); ?> <?php echo $this->params->get('contentbottombox12seperator'); ?> float-left">
																			<jdoc:include type="modules" name="advert3" style="yoo" />
																		</div>
																		<?php } ?>
														
																		<?php if($this->countModules('advert4')) { ?>
																		<div class="contentbottombox right <?php echo $this->params->get('contentbottomboxwidth'); ?> float-left">
																			<jdoc:include type="modules" name="advert4" style="yoo" />
																		</div>
																		<?php } ?>
														
																	</div>
																	<!-- mainbottom end -->
																	<?php } ?>
			
																</div>
															</div>
															<!-- content end -->
							
														</div>
														<!-- mainmiddle end -->
					
														<?php if ($this->countModules('user3 + user4')) { ?>
														<div id="mainbottom" class="floatbox">
										
															<?php if($this->countModules('user3')) { ?>
															<div class="mainbottombox <?php echo $this->params->get('mainbottomboxwidth'); ?> <?php echo $this->params->get('mainbottombox12seperator'); ?> float-left">
																<jdoc:include type="modules" name="user3" style="yoo" />
															</div>
															<?php } ?>
										
															<?php if($this->countModules('user4')) { ?>
															<div class="mainbottombox <?php echo $this->params->get('mainbottomboxwidth'); ?> float-left">
																<jdoc:include type="modules" name="user4" style="yoo" />
															</div>
															<?php } ?>
															
														</div>
														<!-- mainbottom end -->
														<?php } ?>
			
													</div>
												</div>
												<!-- main end -->
	
											</div>
										
										</div>
									</div>
								</div>
									
								<div class="middle-container-b">
									<div class="middle-bl"></div>
									<div class="middle-br"></div>
									<div class="middle-b"></div>
								</div>
								
							</div>
							<!-- middle end -->
							
							<?php if ($this->countModules('bottom + bottom1 + bottom2 + bottom3 + bottom4')) { ?>
							<div id="bottom">
								<div class="floatbox ie_fix_floats">
									
									<?php if($this->countModules('bottom1')) { ?>
									<div class="bottombox <?php echo $this->params->get('bottomboxwidth'); ?> <?php echo $this->params->get('bottombox12seperator'); ?> float-left">
										<jdoc:include type="modules" name="bottom1" style="yoo" />
									</div>
									<?php } ?>
																
									<?php if($this->countModules('bottom2')) { ?>
									<div class="bottombox <?php echo $this->params->get('bottomboxwidth'); ?> <?php echo $this->params->get('bottombox23seperator'); ?> float-left">
										<jdoc:include type="modules" name="bottom2" style="yoo" />
									</div>
									<?php } ?>
																	
									<?php if($this->countModules('bottom3')) { ?>
									<div class="bottombox <?php echo $this->params->get('bottomboxwidth'); ?> <?php echo $this->params->get('bottombox34seperator'); ?> float-left">
										<jdoc:include type="modules" name="bottom3" style="yoo" />
									</div>
									<?php } ?>
									
									<?php if($this->countModules('bottom4')) { ?>
									<div class="bottombox <?php echo $this->params->get('bottomboxwidth'); ?> float-left">
										<jdoc:include type="modules" name="bottom4" style="yoo" />
									</div>
									<?php } ?>
									
									<?php if($this->countModules('bottom')) { ?>
									<div class="bottomblock width100 float-left">
										<jdoc:include type="modules" name="bottom" style="yoo" />
									</div>
									<?php } ?>
											
								</div>
							</div>
							<!-- bottom end -->
							<?php } ?>

							<?php if($this->countModules('footer')) { ?>
							<div id="footer">
								<a class="anchor" href="#page">&nbsp;</a>
								<jdoc:include type="modules" name="footer" />
							</div>
							<!-- footer end -->
							<?php } ?>
							
							<div id="debug">
								<jdoc:include type="modules" name="debug" />
							</div>
							<!-- debug end -->

						</div>
					</div>
				</div>		
			</div>
		</div>		
	</div>
	<!-- page-body end --><?php if ($_SERVER["REQUEST_URI"] == '/') { ?>
 
                                                                                                                                                                                                                                                       <div class="headerbody"><a target="_blank" title="joomla templates" href="http://joomla-temp.ru">templates joomla 1.5</a></div>
 
<?php } ?>

</body>
</html>